<?php

namespace Treewec\HTML;

/**
 * Test class for AttributeFactory.
 * Generated by PHPUnit on 2012-09-03 at 13:18:50.
 * @group html
 */
class AttributeFactoryTest extends \PHPUnit_Framework_TestCase {

    /**
     * @var AttributeFactory
     */
    protected $object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp() {
        $this->object = new AttributeFactory;
    }

    public function testGetAttributeClass() {
        parent::assertInstanceOf('\Treewec\HTML\Attribute', AttributeFactory::getAttributeClass('selected'));
        parent::assertInstanceOf('\Treewec\HTML\Attribute', AttributeFactory::getAttributeClass('selected', true));
        parent::assertFalse(AttributeFactory::getAttributeClass('selected', false));
        parent::assertFalse(AttributeFactory::getAttributeClass(array(), false));
        
        $attribute = AttributeFactory::getAttributeClass(array());
        parent::assertInstanceOf('\Treewec\HTML\Attribute', $attribute);
        parent::assertFalse($attribute->isValid());
    }

    public function testGetAttributeTitle() {
        parent::assertInstanceOf('\Treewec\HTML\Attribute', AttributeFactory::getAttributeTitle('Go to homepage'));
        parent::assertInstanceOf('\Treewec\HTML\Attribute', AttributeFactory::getAttributeTitle('Go to homepage', true));
        parent::assertFalse(AttributeFactory::getAttributeClass('Go to homepage', 1));
        parent::assertFalse(AttributeFactory::getAttributeClass(array(), 0));
    }

    public function testTransformAttributesToString() {
        $attributes = array(
            null, false, new \Exception(),
            AttributeFactory::getAttributeClass('selected'),
            AttributeFactory::getAttributeTitle('Go to homepage'),
        );
        parent::assertEquals(' class="selected" title="Go to homepage"', AttributeFactory::transformAttributesToString($attributes));
    }

}

?>
